import request from '@/utils/request'
// 获取订单列表
export function getOrderList(data) {
  return request({
    url: '/order/getPrintOrderList',
    method: 'post',
    data: data
  })
}

export function exportOrderList(data) {
  return request({
    url: '/order/exportPrintOrderList',
    method: 'post',
    data: data
  })
}

// 获取产品档案列表
export function getSimpleProductInfoList(data) {
  return request({
    url: '/product/getSimpleProductInfoList',
    method: 'post',
    params: data
  })
}
// 获取脚印列表
export function getOrderStepList(data) {
  return request({
    url: '/order/v1/getOrderStepList',
    method: 'post',
    params: data
  })
}
// 作废订单
export function voidPrintOrder(data) {
  return request({
    url: '/order/voidPrintOrder',
    method: 'post',
    params: data
  })
}
// 增加订单消息
export function addOrderMessage(data) {
  return request({
    url: '/order/v1/addOrderMessage',
    method: 'post',
    params: data
  })
}

// 获取订单消息列表
export function getOrderMessageList(data) {
  return request({
    url: '/order/v1/getOrderMessageList',
    method: 'post',
    params: data
  })
}

// 修改发货通知
export function editOrderDeliverInform(data) {
  return request({
    url: '/order/v1/editOrderDeliverInform',
    method: 'post',
    params: data
  })
}
// 增加发货通知
export function addOrderDeliverInform(data) {
  return request({
    url: '/order/v1/addOrderDeliverInform',
    method: 'post',
    params: data
  })
}
// 删除发货通知
export function deleteOrderDeliverInform(data) {
  return request({
    url: '/order/v1/deleteOrderDeliverInform',
    method: 'post',
    params: data
  })
}
// 获取订单应收记录数组
export function getOrderReceivableByOrder(data) {
  return request({
    url: '/order/v1/getOrderReceivableByOrder',
    method: 'post',
    params: data
  })
}

// 在线收款

export function orderPayRequest(data) {
  return request({
    url: '/payrest/orderPayRequest',
    method: 'post',
    params: data
  })
}
export function orderPayRequest3(data) {
  return request({
    url: '/payrest/orderPayRequest3',
    method: 'post',
    params: data
  })
}
// 获取订单支付单列表
export function getPaymentBillByOrder(data) {
  return request({
    url: '/payrest/getPaymentBillByOrder',
    method: 'post',
    params: data
  })
}
// 取消订单支付单
export function cancelOrderPayRequest(data) {
  return request({
    url: '/payrest/cancelOrderPayRequest',
    method: 'post',
    params: data
  })
}
// 重收订单支付单
export function reOrderPayRequest(data) {
  return request({
    url: '/payrest/reOrderPayRequest',
    method: 'post',
    params: data
  })
}

// 判断权限
export function ifPermission(data) {
  return request({
    url: '/system/ifPermission',
    method: 'post',
    params: data
  })
}

// 获取订单生命周期数据
export function getOrderCycleDataList(data) {
  return request({
    url: '/order/v1/getOrderCycleDataList',
    method: 'post',
    params: data
  })
}

// 作废订单生命周期数据
export function writeOrderLifeCycle(data) {
  return request({
    url: '/order/v1/writeOrderLifeCycle',
    method: 'post',
    params: data
  })
}

// 获取网站待对接订单
export function getRemoteOrderList(data) {
  return request({
    url: '/orderSite/getRemoteOrderList',
    method: 'post',
    params: data
  })
}

// 处理对接订单
export function processJointOrder(data) {
  return request({
    url: '/orderSite/processJointOrder',
    method: 'post',
    data: data
  })
}

// 新建收款订单
export function addPrintOrderCharge(data, token) {
  return request({
    url: '/order/v1/addPrintOrderCharge?token=' + token,
    method: 'post',
    data: data
  })
}

// 更换产品类型
export function changePrintOrderProduct(data) {
  return request({
    url: '/order/v1/changePrintOrderProduct',
    method: 'post',
    params: data
  })
}

// 客户在线充值
export function clientPayRequest(data) {
  return request({
    url: '/payrest/clientPayRequest',
    method: 'post',
    params: data
  })
}

// 获取订单发货通知
export function getOrderFiledValueByName(data) {
  return request({
    url: '/order/v1/getOrderFiledValueByName ',
    method: 'post',
    params: data
  })
}

// 获取图片列表
export function getOrderTraceImage(data) {
  return request({
    url: '/order/v1/getOrderTraceImage ',
    method: 'post',
    params: data
  })
}

export function payPrintOrder(data) {
  return request({
    url: '/order/payPrintOrder',
    method: 'post',
    data: data
  })
}
